org.gradle.tooling.model.java

## Interface InstalledJdk

-     @Incubating
      public interface InstalledJdk

  Represents a Java Development Kit machine installation.
  Since:
    2.11

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getJavaHome()` The home directory of the Java installation.
    `JavaVersion` | `getJavaVersion()` The version of the Java installation.

- - ### Method Detail

    - #### getJavaVersion

          JavaVersion getJavaVersion()

      The version of the Java installation.
      Returns:
        The Java version. Never returns `null`.

    - #### getJavaHome

          File getJavaHome()

      The home directory of the Java installation.
      Returns:
        The home directory. Never returns `null`.